
import java.rmi.* ;

public class Worker {
  public static void main(String arg[]) {
    try {
      System.setSecurityManager(new RMISecurityManager()) ;

      TaskSource rem =
          (TaskSource) Naming.lookup("rmi://" + arg [0] + ":"
                                              + arg [1] + "/TaskSource") ;
      Runnable task = rem.getTask() ;

      task.run() ;
    }
    catch (NotBoundException e) {
      System.out.println("Remote object not found in registry") ;
    }
    catch (RemoteException e) {
      System.out.println("Error: " + e) ;
    }
    catch (java.net.MalformedURLException e) {
      System.out.println("URL Error: " + e) ;
    }
  }
}

